We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 6397 - Submission step numbering is wrong
Submission step numbering is wrong
Status: RESOLVED FIXED
Product: OCS
Classification: Unclassified
Component: User Interface
2.3.4
All All
: P3 normal
Assigned To: James MacGregor
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-10 20:52 PST by James MacGregor
Modified: 2011-08-24 13:25 PDT (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OCS 2.3.3-1. (3.91 KB, patch)
2011-02-10 20:59 PST, James MacGregor
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 James MacGregor 2011-02-10 20:59:08 PST
Created attachment 3432 [details]
Patch against OCS 2.3.3-1.

I've tested the following patch against all of OCS' submission types, and it appears to work fine. Note the change to step2.tpl -- that is only seen when an author returns to upload a paper to an accepted submission (ie. in the abstract followed by paper submission type). 

Alec, would you mind taking a look? I think there must be a better way to do the submission numbering overall, but I've committed these changes to master, even though I think they are a bit of a kludge. I'll wait to add this to stable/add a link to the recommended patches list/close once other eyes have been on it.
Comment 2 GeorgeKapsomenos 2011-02-11 04:06:21 PST
Hi James, I've tested this and it works for me.
I don't know if the submission numbering can be implemented in another way. If subsequent changes are made that necessitate changes in the locale files (like the above did), I have subscribed to this bug report and will update the greek locale files as necessary in the future
Comment 3 James MacGregor 2011-08-24 13:23:53 PDT
Committed to stable.
Comment 4 James MacGregor 2011-08-24 13:25:01 PDT
fixed submission step numbering
https://github.com/pkp/ocs/commit/fa246c5cac0a36a67d236f7bc94c3127bb9b37e7